# Inspecting Run Results

The `inspect data` subtool can display information about the
`RunResults` object generated by `Comparator.run()`.

For example, first we'll generate some run results using ONNX-Runtime:

```bash
polygraphy run ../../../models/identity.onnx --onnxrt --save-results onnxrt_results.pkl
```

Next, we can inspect them:

```bash
polygraphy inspect data onnxrt_results.pkl --show-values
```

This will display something like:

```
[I] ==== Run Results (1 runners) ====

    ---- Runner: onnxrt-runner-N0-11/03/20-20:28:58 (1 iterations) ----
    y [dtype=float32, shape=(1, 1, 2, 2)]
        [[[[-0.16595599  0.44064897]
           [-0.99977124 -0.39533487]]]]
```
